/*
 * hal.c
 *
 *  Created on: 14.06.2017
 *      Author: balbekova
 */

#include "stm32f4xx.h"
#ifndef BT6702_SERVICE
#include "log.h"
#include "snmp_api.h"
#include "trap_api.h"
#endif
#include "hal.h"
#include <stddef.h>
#include "FreeRTOS.h"
#include "task.h"

void Reboot(source_reset_t source_reset)
{
#ifndef BT6702_SERVICE
    SNMP_SendUserTrap(DEVICE_REBOOTED);
    switch (source_reset) {
        case WEB_RESET:
            log_event_data(LOG_SYSTEM_BOOT, name_login);
            break;
        case SNMP_RESET:
        case OTHER_RESET:
            log_event_data(LOG_SYSTEM_BOOT, "Администратор");
            break;
#if defined HARDWARE_BT6707 || HARDWARE_BT6709
        case TELNET_RESET:
            log_event_data(LOG_SYSTEM_BOOT, name_login_telnet);
            break;
#endif
        default:
            break;
    }
    vTaskDelay(1010);
    LOG_Disable();
#endif
    NVIC_SystemReset();
}

